Subject: bug#54437: 28.0.92; command-modes returns nil for native compiled functions

From: Knut Anders Hatlen <[email-masked]>
Date: Sat, 19 Mar 2022 19:49:30 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> Hm.  I tried that now, and I can now reproduce the problem.  Weird.
>> I'll debug further.
>
> I've now pushed a fix for this to Emacs 29.  A less invasive fix for
> Emacs 28 might be nice, but I couldn't think of one, so I think we might
> just have to say that command-modes + nativecomp just doesn't work in
> Emacs 28.1.

Thank you, Lars! It works on Emacs 29 now, as far as I can tell. The
reason I filed this bug was that setting read-extended-command-predicate
to command-completion-default-include-p did not work as I expected. Now
it does.

-- 
Knut Anders